Debian Bug report logs - #168823
dialog: minor layout bugs

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Oskar Liljeblad <oskar@osk.mine.nu>

Date: Tue, 12 Nov 2002 18:18:08 UTC

Severity: normal

Tags: upstream

Found in version 0.9b-20020814-1

Fixed in version dialog/0.9b-20030130-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@invisible-island.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org:
Bug#168823; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Oskar Liljeblad <oskar@osk.mine.nu>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oskar Liljeblad <oskar@osk.mine.nu>
To: submit@bugs.debian.org
Subject: dialog: minor layout bugs
Date: Tue, 12 Nov 2002 19:14:05 +0100
Package: dialog
Version: 0.9b-20020814-1
Severity: normal

Some minor layout bugs in dialog:

1. Lines are wrapped even if they'd fit exactly.

   dialog --checklist 'a b c d e f g h i j k l m n o' 12 33 5 1 item 0

2. 'v(+)' (indicating that more items are below) is displayed
   even though we are in the bottom in the checklist.

   dialog --checklist 'Title' 12 34 5 1 item 0 2 item 0 3 item 0 4 item 0 5 item 0

Regards,

Oskar Liljeblad (oskar@osk.mine.nu)

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux oskar 2.4.19 #4 Mon Oct 28 06:49:23 CET 2002 i686 unknown unknown GNU/Linux

Versions of the packages dialog depends on:
ii  debianutils    1.16.7         Miscellaneous utilities specific to Debian
ii  libc6          2.3.1-3        GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.2.20020112a- Shared libraries for terminal handling



Tags added: upstream Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #10 received at 168823-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@invisible-island.net>
Cc: 168823-forwarded@bugs.debian.org, Oskar Liljeblad <oskar@osk.mine.nu>
Subject: Bug#168823: dialog: minor layout bugs (fwd)
Date: Tue, 12 Nov 2002 22:21:39 +0100 (CET)
Hello.

Another report from Oskar:

---------- Forwarded message ----------
Date: Tue, 12 Nov 2002 19:14:05 +0100
From: Oskar Liljeblad <oskar@osk.mine.nu>
To: submit@bugs.debian.org
Subject: Bug#168823: dialog: minor layout bugs

Package: dialog
Version: 0.9b-20020814-1
Severity: normal

Some minor layout bugs in dialog:

1. Lines are wrapped even if they'd fit exactly.

   dialog --checklist 'a b c d e f g h i j k l m n o' 12 33 5 1 item 0

2. 'v(+)' (indicating that more items are below) is displayed
   even though we are in the bottom in the checklist.

   dialog --checklist 'Title' 12 34 5 1 item 0 2 item 0 3 item 0 4 item 0 5 item 0

Regards,

Oskar Liljeblad (oskar@osk.mine.nu)

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux oskar 2.4.19 #4 Mon Oct 28 06:49:23 CET 2002 i686 unknown unknown GNU/Linux

Versions of the packages dialog depends on:
ii  debianutils    1.16.7         Miscellaneous utilities specific to Debian
ii  libc6          2.3.1-3        GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.2.20020112a- Shared libraries for terminal handling





Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org:
Bug#168823; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 168823@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 168823@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=168823
Date: Fri, 31 Jan 2003 18:25:22 -0500
>                      Debian Bug report logs - #168823
>                           dialog: minor layout bugs

I fixed these last night - new tarball dialog-0.9b-20030130.tgz
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oskar Liljeblad <oskar@osk.mine.nu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 168823-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 168823-close@bugs.debian.org
Subject: Bug#168823: fixed in dialog 0.9b-20030130-1
Date: Sat, 01 Feb 2003 12:47:29 -0500
We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030130-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030130-1.diff.gz
dialog_0.9b-20030130-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030130-1.dsc
dialog_0.9b-20030130-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030130-1_i386.deb
dialog_0.9b-20030130.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030130.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 168823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  1 Feb 2003 18:28:40 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030130-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 168823
Changes: 
 dialog (0.9b-20030130-1) unstable; urgency=low
 .
   * New upstream release. Closes: #168823. From the CHANGES file:
   - corrected print_line(), which subtracted the margin twice from the
     right-limit, making a string wrap unnecessarily.
   - correct initial limit-check for arrows in checklist.c, which used
     the wrong variable, showing the bottom arrow when it should not.
   * There is now an --inputmenu option. See inputmenu1 to inputmenu4.
Files: 
 6e8d450ecc50f3d2ddce3bc1d88cac57 628 misc optional dialog_0.9b-20030130-1.dsc
 f4dc42dba8f57be4639c8f4d36f01c27 215488 misc optional dialog_0.9b-20030130.orig.tar.gz
 04ae9c65286fc64e52fb77e39e518812 5988 misc optional dialog_0.9b-20030130-1.diff.gz
 241747c769508b694fb2174b9b349108 113750 misc optional dialog_0.9b-20030130-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE+PARzd9Uuvj7yPNYRAotGAJ46zjVBCHjBAyF0WXCAjuQwwsOg6wCfTd+4
2s7c3Sq1l6Rf43ruj11ZEHk=
=6Xs2
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:49:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.